Website bug

I just fixed a bug in the download page for libspimage. The page was displaying old versions of libspimage instead of the current version making it impossible to compile the program. The bug is now hopefully gone.

If you had problems compiling hawk against libspimage please check the libspimage that you are using and make sure it matches the current one on the website.